Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001566I6 LibraryGeneralpublic2015-03-17 23:432015-05-27 03:26
Assigned ToDavidG 
PlatformOSOS Version
Product Version6/12 
Target Version6/12Fixed in Version6/12 
Summary0001566: Incorrect behavior when taking multiple objects when TRACE is set to 5
DescriptionReported by Nathan Schwartzman:

Typing TAKE COINS will properly take the four coins. However, when TRACE is set to 5, the same input results in only one coin being taken.
Minimal Source Text To Reproduce
!% -D

Constant Story "shell";
Constant Headline "^";

Include "Parser";
Include "Verblib";

Class Coin
with	name "coin" "coins//p",
	insideofparent true,
	list_together 1,
	short_name "coin",
	plural "coins";

Object e_shell "East Generic Room"
with	description
	"Notable only for its sheer unremarkability.",
	w_to shell,
has	light;

Object -> right_box "right box"
with	name 'right' 'box',
	capacity 2,
	with_key lead_key,
has	openable container locked lockable;

Object ->-> gem "gem"
with	name "gem";

Object shell "Generic Room"
with	description
	"Notable only for its sheer unremarkability.",
	e_to e_shell,
has	light;

Object -> gold_plate "gold plate"
with	name "gold" "plate",
	capacity 3,
has	supporter;

Object ->-> silver_key "silver key"
with	name "silver" "key" "keys//p",
	ontopofparent true;

Coin ->->;Coin ->->;Coin ->->;Coin ->->;

Object -> machine "machine"
with	name "machine",
	capacity 3,
has	static supporter;

Object ->-> gold_key "gold key"
with	name "gold" "key" "keys//p";

Object -> left_box "left box"
with	name 'left' 'box',
	capacity 2,
has	container openable;

Object ->-> lead_key "lead key"
with	name "key" "keys//p", adjective 'lead';

[ Initialise;
  location = shell;

Include "Grammar";

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
DavidG (developer)
2015-03-18 00:20

Problem first appears in [^]
DavidG (developer)
2015-03-18 00:57

Trying this: [^]

I'll do more checking later.
DavidG (developer)
2015-05-27 03:26

That commit fixed the problem.

- Issue History
Date Modified Username Field Change
2015-03-17 23:43 DavidG New Issue
2015-03-17 23:43 DavidG Status new => assigned
2015-03-17 23:43 DavidG Assigned To => DavidG
2015-03-18 00:20 DavidG Note Added: 0003363
2015-03-18 00:57 DavidG Note Added: 0003364
2015-05-27 03:26 DavidG Note Added: 0003794
2015-05-27 03:26 DavidG Status assigned => resolved
2015-05-27 03:26 DavidG Fixed in Version => 6/12
2015-05-27 03:26 DavidG Resolution open => fixed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker